CREATE TABLE dos_supply_headers (
    HEADER_ID                        NUMBER(18, 0) ,
    INTERFACE_SOURCE_CODE            VARCHAR2(120) ,
    INTERFACE_BATCH_NUMBER           VARCHAR2(200) ,
    INTERFACE_BATCH_NAME             VARCHAR2(1000),
    SOURCE_REF_DOC_DESCRIPTION       VARCHAR2(4000),
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE_CHAR1                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                 VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    ATTRIBUTE_NUMBER6                NUMBER        ,
    ATTRIBUTE_NUMBER7                NUMBER        ,
    ATTRIBUTE_NUMBER8                NUMBER        ,
    ATTRIBUTE_NUMBER9                NUMBER        ,
    ATTRIBUTE_NUMBER10               NUMBER        ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    ATTRIBUTE_TIMESTAMP1             TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2             TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3             TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4             TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5             TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SUPPLY_ORDER_NUMBER              VARCHAR2(800)     NOT NULL,
    SUPPLY_ORDER_SOURCE              VARCHAR2(120)     NOT NULL,
    SUPPLY_REQUEST_DATE              TIMESTAMP(6)      NOT NULL,
    SUPPLY_ORDER_REFERENCE_NUMBER    VARCHAR2(800) ,
    SUPPLY_ORDER_REFERENCE_ID        NUMBER(18, 0) ,
    STATUS_CODE                      VARCHAR2(120)     NOT NULL,
    TRUSTED_SOURCE                   NUMBER(1, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    HEADER_ID                        NUMBER(18, 0) ,
    INTERFACE_SOURCE_CODE            VARCHAR2(120) ,
    INTERFACE_BATCH_NUMBER           VARCHAR2(200) ,
    INTERFACE_BATCH_NAME             VARCHAR2(1000),
    SOURCE_REF_DOC_DESCRIPTION       VARCHAR2(4000),
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE_CHAR1                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                  VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR11                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR12                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR13                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR14                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR15                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR16                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR17                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR18                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR19                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR20                 VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    ATTRIBUTE_NUMBER6                NUMBER        ,
    ATTRIBUTE_NUMBER7                NUMBER        ,
    ATTRIBUTE_NUMBER8                NUMBER        ,
    ATTRIBUTE_NUMBER9                NUMBER        ,
    ATTRIBUTE_NUMBER10               NUMBER        ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    ATTRIBUTE_TIMESTAMP1             TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2             TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3             TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4             TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5             TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SUPPLY_ORDER_NUMBER              VARCHAR2(800)     NOT NULL,
    SUPPLY_ORDER_SOURCE              VARCHAR2(120)     NOT NULL,
    SUPPLY_REQUEST_DATE              TIMESTAMP(6)      NOT NULL,
    SUPPLY_ORDER_REFERENCE_NUMBER    VARCHAR2(800) ,
    SUPPLY_ORDER_REFERENCE_ID        NUMBER(18, 0) ,
    STATUS_CODE                      VARCHAR2(120)     NOT NULL,
    TRUSTED_SOURCE                   NUMBER(1, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    CONSTRAINT pk_dos_supply_headers PRIMARY KEY (HEADER_ID, HEADER_ID)
);
